﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TwoWayBoundComboColumn
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Countries = new List<Country>();

            Countries.Add(new Country() { ID = 0, Name = "USA" });
            Countries.Add(new Country() { ID = 1, Name = "Italy" });
            Countries.Add(new Country() { ID = 2, Name = "Germany" });


            this.RadGridView1.ItemsSource = GetLocations();
            ((GridViewComboBoxColumn)this.RadGridView1.Columns[0]).ItemsSource = this.Countries;
        }

        public List<Country> Countries
        {
            get;
            set;
        }

        private List<Location> GetLocations()
        {
            List<Location> locations = new List<Location>();

            locations.Add(new Location() { Country = this.Countries[0]});
            locations.Add(new Location() { Country = this.Countries[1] });
            locations.Add(new Location() { Country = this.Countries[2] });

            return locations;
        }
    }

    public class Location
    {
        public Country Country { get; set; }
    }

    public class Country
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
